VirtualBox Main API

Public Attributes | List of all members
IUpdateAgentAvailableEvent Interface Reference

Notification when an update is available. More...

Inheritance diagram for IUpdateAgentAvailableEvent:

## Public Attributes
readonly attribute wstring | version
| Version of the update.
readonly attribute UpdateChannel | channel
| Channel containing the update.
readonly attribute UpdateSeverity | severity
| Severity of the update.
readonly attribute wstring | downloadURL
| Download URL of the update.
readonly attribute wstring | webURL
| Web URL of the update.
readonly attribute wstring | releaseNotes
| Release notes of the update.
Public Attributes inherited from IUpdateAgentEvent
readonly attribute IUpdateAgent | agent
| Update agent this event belongs to.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when an update is available.

Interface ID:
  `{243829CB-15B7-42A4-8664-7AA4E34993DA}`

## Member Data Documentation

## ◆ version

readonly attribute wstring IUpdateAgentAvailableEvent::version

Version of the update.

## ◆ channel

readonly attribute UpdateChannel IUpdateAgentAvailableEvent::channel

Channel containing the update.

## ◆ severity

readonly attribute UpdateSeverity IUpdateAgentAvailableEvent::severity

Severity of the update.

## ◆ downloadURL

readonly attribute wstring IUpdateAgentAvailableEvent::downloadURL

Download URL of the update.

## ◆ webURL

readonly attribute wstring IUpdateAgentAvailableEvent::webURL

Web URL of the update.

## ◆ releaseNotes

readonly attribute wstring IUpdateAgentAvailableEvent::releaseNotes

Release notes of the update.